Bug 1008809 - Review Request: perl-Path-IsDev - Determine if a given Path resembles a development source tree
Review Request: perl-Path-IsDev - Determine if a given Path resembles a devel...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On: 1008473
Blocks: 1008828 1008856
  Show dependency treegraph
 
Reported: 2013-09-17 02:46 EDT by Jitka Plesnikova
Modified: 2013-09-26 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Path-IsDev-0.3.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:51:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paul: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2013-09-17 02:46:37 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Path-IsDev/perl-Path-IsDev.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Path-IsDev/perl-Path-IsDev-0.3.0-1.fc21.src.rpm
Description: 
This module is more or less a bunch of heuristics for determining if a given path is a development tree root of some kind.

Fedora Account System Username: jplesnik
Comment 1 Paul Howarth 2013-09-17 06:46:15 EDT
rpmlint output:
---------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Requires:
---------
perl(:MODULE_COMPAT_5.18.1)
perl(Class::Tiny)
perl(Module::Runtime)
perl(Path::IsDev::Heuristic)
perl(Path::IsDev::HeuristicSet)
perl(Path::Tiny)
perl(Scalar::Util)
perl(Sub::Exporter)
perl(parent)
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


Provides:
---------
perl(Path::IsDev) = 0.3.0
perl(Path::IsDev::Heuristic) = 0.3.0
perl(Path::IsDev::Heuristic::Changelog) = 0.3.0
perl(Path::IsDev::Heuristic::DevDirMarker) = 0.3.0
perl(Path::IsDev::Heuristic::META) = 0.3.0
perl(Path::IsDev::Heuristic::MYMETA) = 0.3.0
perl(Path::IsDev::Heuristic::Makefile) = 0.3.0
perl(Path::IsDev::Heuristic::TestDir) = 0.3.0
perl(Path::IsDev::Heuristic::Tool::Dzil) = 0.3.0
perl(Path::IsDev::Heuristic::Tool::MakeMaker) = 0.3.0
perl(Path::IsDev::Heuristic::Tool::ModuleBuild) = 0.3.0
perl(Path::IsDev::Heuristic::VCS::Git) = 0.3.0
perl(Path::IsDev::HeuristicSet) = 0.3.0
perl(Path::IsDev::HeuristicSet::Basic) = 0.3.0
perl(Path::IsDev::Object) = 0.3.0
perl-Path-IsDev = 0.3.0-1.fc21


Review Checklist:
-----------------
- rpmlint clean
- package and spec file naming OK
- package meets guidelines
- license is same as perl, OK in spec, matches upstream
- upstream license file is packaged
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock for Rawhide x86_64
- buildreqs OK
- no library, development files or locale data to concern us
- package is not intended to be relocatable
- directory ownership and permissions OK
- no duplicate files
- macro usage is consistent
- code, not content
- no large docs present
- docs don't affect runtime
- not a GUI app, no desktop file needed
- filenames are all ASCII
- no scriptlets or subpackages to worry about


Nits:
-----

Module::Build version requirement should be ≥ 0.36.01
-> Build.PL line 5

If you want to maintain your BuildRequires in sorted order, FindBin
should be after File::Temp

Should have a runtime dependency on perl(Carp)
-> lib/Path/IsDev/Heuristic.pm line 16
-> lib/Path/IsDev/HeuristicSet.pm line 16

Perhaps include an extra sentence of description?
-> `This has many useful applications, notably ones that require behaviors for
    "installed" modules to be different to those that are still "in development".'


Package is APPROVED, assuming the addition of the Carp dependency.
Comment 2 Jitka Plesnikova 2013-09-17 06:56:52 EDT
New Package SCM Request
=======================
Package Name: perl-Path-IsDev
Short Description: Determine if a given Path resembles a development source tree
Owners: jplesnik ppisar psabata
Branches: f20
InitialCC: perl-sig

Thank you for review Paul. 
I'll update spec before commit.
Comment 3 Gwyn Ciesla 2013-09-17 08:46:07 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-18 01:44:52 EDT
perl-Path-IsDev-0.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Path-IsDev-0.3.0-1.fc20
Comment 5 Fedora Update System 2013-09-18 13:45:51 EDT
Package perl-Path-IsDev-0.3.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Path-IsDev-0.3.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17100/perl-Path-IsDev-0.3.0-1.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-26 20:51:45 EDT
perl-Path-IsDev-0.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.